MCP Tools Reference: managedkafka

Tool: delete_consumer_group

Deletes a Google Cloud Managed Service for Apache Kafka consumer group. Please provide the Project ID, Location, Cluster ID, and Consumer Group ID.

A DeleteConsumerGroupRequest is used to delete a consumer group.

  • name (required): The name of the consumer group to delete. Structured like projects/{project}/locations/{location}/clusters/{cluster}/consumerGroups/{consumerGroup}.

The following sample demonstrate how to use curl to invoke the delete_consumer_group MCP tool.

Curl Request
                  
curl --location 'https://managedkafka.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_consumer_group",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request for DeleteConsumerGroup.

DeleteConsumerGroupRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The name of the consumer group to delete. projects/{project}/locations/{location}/clusters/{cluster}/consumerGroups/{consumerGroup}.

Output Schema

A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ❌